package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ConvenioUsuario;

public class RenderConvenioUsuario implements ListitemRenderer {

	@Override
	public void render(Listitem lstm, Object convenioUsuarioSelected) throws Exception {
		
		Listcell lc = new Listcell();
		
		if(convenioUsuarioSelected != null) {
			ConvenioUsuario convenioUsuario = (ConvenioUsuario) convenioUsuarioSelected;
			
			lc = new Listcell(convenioUsuario.getUsuario() != null ? convenioUsuario.getUsuario().getUsuarioId().toString() : "");
			lc.setParent(lstm);
			lc = new Listcell(convenioUsuario.getUsuario() != null ? convenioUsuario.getUsuario().getNombUsuarioCompleto() : "");
			lc.setParent(lstm);			
			lstm.setAttribute("data", convenioUsuario);
		}
	}
}